// 销售发布通知
<template>
  <div class="sale">
    <div class="top">
      <!-- 框计算 -->
      <el-input placeholder="请输入内容" v-model="inputText" clearable>
      </el-input>
      <el-button type="primary" class="btn" @click="onclick(1)">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" class="btn" @click="onclick(0)">
        <i class="el-icon-plus"></i>增加
      </el-button>
    </div>
    <div class="tab">
      <dilTable v-bind.sync="option"></dilTable>
    </div>
  </div>
</template>
<script>
export default {
  data() {
    return {
      inputText: "",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/qms/getQueueApply?apiId=125&orderType=1",
      },
    };
  },
  methods: {
    onclick(num) {
      if (num == 1) {
        console.log(num);
        this.option.requestUrl =
          "/api/v1/qms/getQueueApply?apiId=125&orderType=1&con=" +
          this.inputText;
      } else if (num == 0) {
        console.log(num);
        this.$router.push("/add_sale_dilNotice");
      }
    },
  },
};
</script>
<style lang="scss" scoped>
.sale {
  .top {
    padding: 1.25rem 0.375rem;
			.el-input {
			width: 20%;
			margin-right: 1.25rem;
			}
  }
}
</style>